Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.jar
Class JarHandler

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
          org.jboss.virtual.plugins.context.AbstractURLHandler
              org.jboss.virtual.plugins.context.jar.AbstractJarHandler
                  org.jboss.virtual.plugins.context.jar.JarHandler

All Implemented Interfaces:
  java.io.Serializable, StructuredVirtualFileHandler, VirtualFileHandler

    public class JarHandler

extends AbstractJarHandler

JarHandler.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
`cachedLastModified, log, vfsUrl`

Constructor Summary
`JarHandler(VFSContext context, VirtualFileHandler parent, java.io.File file, java.net.URL url, java.lang.String name)`
`JarHandler(VFSContext context, VirtualFileHandler parent, java.net.URL url, java.lang.String name)` Create a new JarHandler.

Method Summary

Methods inherited from class org.jboss.virtual.plugins.context.jar.AbstractJarHandler
`buildParents, createChildHandler, createVirtualFileHandler, doClose, findChild, fromURL, getEntryName, getChildren, getJar, getURL, initJarFile, isLeaf`

Methods inherited from class org.jboss.virtual.plugins.context.AbstractURLHandler
`exists, getLastModified, getSize, getURL, initCacheLastModified, isHidden, openStream, toURI, toURL`

Methods inherited from class org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
`close, decrement, equals, getName, getParent, getPathName, getVFSContext, getVirtualFile, hasBeenModified, hashCode, checkClosed, increment, setPathName, simpleFindChild, structuredFindChild, toString, toVfsUrl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JarHandler

    public JarHandler(VFSContext context,
                      VirtualFileHandler parent,
                      java.net.URL url,
                      java.lang.String name)
               throws java.io.IOException

  Create a new JarHandler.

  Parameters:
    `context` - the context
    `parent` - the parent
    `url` - the url
    `name` - the name
  Throws:
    `java.io.IOException` - for an error accessing the file system
    `java.lang.IllegalArgumentException` - for a null context, url or vfsPath

### JarHandler

    public JarHandler(VFSContext context,
                      VirtualFileHandler parent,
                      java.io.File file,
                      java.net.URL url,
                      java.lang.String name)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD